# Setup the SDK

To setup the SDK you will have to create a token from the [dashboard](https://mburger.cloud/).&#x20;

Click on the **settings** icon on the top-right and create an **API Key** specifying the permissions

Then you will have to initialize the SDK with the token created, depending if you are using iOS or Android, as you can see in the following step.

{% tabs %}
{% tab title="iOS" %}

```java
import MBurger

...

func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {
    MBManager.shared().apiToken = "YOUR_API_TOKEN"
    return true
}
```

{% endtab %}

{% tab title="Android" %}

```java
public class App extends Application {

    @Override
    public void onCreate() {
        MBurger.initialize(API_TOKEN, false)
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/sample-app-1/setup-the-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
